Skip to main content
GET
List objects
Retrieve a paginated list of objects of a given type in a group. Set the objectType path parameter to the name of the object type you want to read — Deals, Projects, Applications, or any other object type defined in the group. See Custom objects to find the object types available in a group.

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

groupId
string
required

The ID of the group the objects belong to. Can be retrieved from the List groups endpoint.

Required string length: 40
objectType
string
required

The name of the object type, as shown in the folk app, such as Deals. It is case-sensitive, and spaces must be URL-encoded, e.g. Job%20Applications. See how to find the object types of a group.

Maximum string length: 500

Query Parameters

limit
integer
default:20

The number of items to return.

Required range: 1 <= x <= 100
cursor
string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the pagination.nextLink value returned in a previous response to request subsequent results.

Maximum string length: 512
combinator
enum<string>
default:and

The logical operator to combine multiple filters.

Available options:
and,
or
filter
object

A record of filters to apply, following the format filter[attribute][operator]=value. The attribute is the name of the attribute to filter on, and the operator is one of the supported filter operators. Refer to Filterable fields to learn more about the supported attributes and operators.

Response

A paginated list of objects of the type in the group.

data
object
required
Example:
deprecations
string[]
Example: